Subject: Re: strange problem compiling pkgsrc/x11/ruby-tcltklib
To: Georg Schwarz <>
From: D'Arcy J.M. Cain <>
List: tech-pkg
Date: 09/03/2004 05:37:29
On Fri, 3 Sep 2004 10:54:06 +0200 (Georg Schwarz) wrote:
> Can anyone explain the following?
> ===> Building for ruby-tcltklib-1.6.8nb4
> bmake: cannot open Makefile.

Have you installed Tcl 8.3 or 8.4?  The package assumes 8.3.  I tried
changing it to 8.4 but then it fails for different reasons (missing
pthread functions) but with the same external error message.  See the
file pkgsrc/x11/ruby-tcltklib/work.i386/ruby-1.6.8/ext/tcltklib/mkmf.log
for the actual errors.

I am copying the package maintainer.  Hopefully he can make this work
with any version of Tcl.

D'Arcy J.M. Cain <>         |  Democracy is three wolves                |  and a sheep voting on
+1 416 425 1212     (DoD#0082)    (eNTP)   |  what's for dinner.